/**
 * @file        PropTypes defination of PIXI.DisplayObject
 * @author      MicroMatrix <yangpan.1985@bytedance.com>
 * @copyright   2012-2020 bytedance
 * @link        git@code.byted.org:yangpan.1985/avg.git
 */

import PropTypes from 'prop-types';

export default {
  alpha: PropTypes.number,
  visible: PropTypes.bool,
  cacheAsBitmap: PropTypes.bool,
  x: PropTypes.number,
  y: PropTypes.number,
  position: PropTypes.arrayOf(PropTypes.number),
  width: PropTypes.number,
  height: PropTypes.number,
  pivot: PropTypes.arrayOf(PropTypes.number),
  anchor: PropTypes.arrayOf(PropTypes.number),
  rotation: PropTypes.number,
  scale: PropTypes.arrayOf(PropTypes.number),
  skew: PropTypes.arrayOf(PropTypes.number),
  tint: PropTypes.oneOf([PropTypes.number, PropTypes.string]),
  children: PropTypes.any,
};
