/**
 * @file        Transition component
 * @author      MicroMatrix <yangpan.1985@bytedance.com>
 * @copyright   2012-2020 bytedance
 * @link        git@code.byted.org:yangpan.1985/avg.git
 */

import createComponent from 'components/createComponent';
import ContainerMixin from 'components/ContainerMixin';
import NodeMixin from 'components/NodeMixin';
import TransitionContainer from './TransitionContainer';
import { mountNode, updateNode } from '../pixi/properties';

export const Transition = createComponent('Transition', ContainerMixin, NodeMixin, {

  createNode() {
    this.node = new TransitionContainer();
  },
  mountNode(props) {
    const node = this.node;

    mountNode(node, props);

    return node;
  },
  updateNode(prevProps, props) {
    const node = this.node;

    updateNode(node, prevProps, props);
  },

});
